pw_client Class Reference

PipeWire client object class. More...

## Public Member Functions

SPA_EXPORT struct pw_client * | pw_client_new (struct pw_core *core, struct pw_properties *properties, size_t user_data_size)
| Make a new client object. More...
SPA_EXPORT void | pw_client_destroy (struct pw_client *client)
| Destroy a client object. More...
SPA_EXPORT int | pw_client_update_properties (struct pw_client *client, const struct spa_dict *dict)
| Update client properties. More...

## Detailed Description

PipeWire client object class.

The client object represents a client connection with the PipeWire server.

Each client has its own list of resources it is bound to along with a mapping between the client types and server types.

## Member Function Documentation

## pw_client_destroy()

SPA_EXPORT void pw_client_destroy | ( | struct pw_client * | client | ) |

Destroy a client object.

Parameters

  client | the client to destroy

## pw_client_new()

SPA_EXPORT struct pw_client * pw_client_new | ( | struct pw_core * | core,
|  | struct pw_properties * | properties,
|  | size_t | user_data_size
| ) |  |

Make a new client object.

Parameters

  core | a pw_core object to register the client with
  ucred | a ucred structure or NULL when unknown
  properties | optional client properties, ownership is taken

Returns
  a newly allocated client object

References pw_properties_new(), and impl::this.

## pw_client_update_properties()

SPA_EXPORT int pw_client_update_properties | ( | struct pw_client * | client,
|  | const struct spa_dict * | dict
| ) |  |

Update client properties.

Parameters

  client | the client
  dict | a spa_dict with properties

Add all properties in dict to the client properties. Existing properties are overwritten. Items can be removed by setting the value to NULL.

References PW_CLIENT_CHANGE_MASK_PROPS, pw_client_resource_info, pw_properties_get(), and pw_properties_set().

The documentation for this class was generated from the following files:

- client.h
- client.c